org.apache.http.impl.nio.codecs

## Class HttpRequestParser

- java.lang.Object
- - org.apache.http.impl.nio.codecs.AbstractMessageParser
  - - org.apache.http.impl.nio.codecs.HttpRequestParser

- All Implemented Interfaces:
    NHttpMessageParser

  Deprecated.
  (4.1) use `DefaultHttpRequestParser`

      @Deprecated
      public class HttpRequestParser
      extends AbstractMessageParser

  Default `NHttpMessageParser` implementation for `HttpRequest`s.

  The following parameters can be used to customize the behavior of this class:

  - `CoreConnectionPNames.MAX_HEADER_COUNT`
  - `CoreConnectionPNames.MAX_LINE_LENGTH`
  Since:
    4.0

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.impl.nio.codecs.AbstractMessageParser

      `lineParser`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpRequestParser(SessionInputBuffer buffer, LineParser parser, HttpRequestFactory requestFactory, HttpParams params)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected HttpMessage` | `createMessage(CharArrayBuffer buffer)` Deprecated. Creates `HttpMessage` instance based on the content of the input buffer containing the first line of the incoming HTTP message.

    - ### Methods inherited from class org.apache.http.impl.nio.codecs.AbstractMessageParser

      `fillBuffer, parse, reset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpRequestParser

          public HttpRequestParser(SessionInputBuffer buffer,
                           LineParser parser,
                           HttpRequestFactory requestFactory,
                           HttpParams params)

      Deprecated.

  - ### Method Detail

    - #### createMessage

          protected HttpMessage createMessage(CharArrayBuffer buffer)
                                       throws HttpException,
                                              ParseException

      Deprecated.
      Description copied from class: `AbstractMessageParser`
      Creates `HttpMessage` instance based on the content of the input buffer containing the first line of the incoming HTTP message.
      Specified by:
        `createMessage` in class `AbstractMessageParser`
      Parameters:
        `buffer` - the line buffer.
      Returns:
        HTTP message.
      Throws:
        `HttpException` - in case of HTTP protocol violation
        `ParseException` - in case of a parse error.

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.